org.apache.hadoop.yarn.server.nodemanager

## Enum NodeManager.NodeManagerStatus

- java.lang.Object
- - java.lang.Enum<NodeManager.NodeManagerStatus>
  - - org.apache.hadoop.yarn.server.nodemanager.NodeManager.NodeManagerStatus

- All Implemented Interfaces:
    Serializable, Comparable<NodeManager.NodeManagerStatus>
  Enclosing class:
    NodeManager

      public static enum NodeManager.NodeManagerStatus
      extends Enum<NodeManager.NodeManagerStatus>

  Node manager return status codes.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `EXCEPTION`
    `NO_ERROR`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getExitCode()`
    `static NodeManager.NodeManagerStatus` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static NodeManager.NodeManagerStatus[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NO_ERROR

          public static final NodeManager.NodeManagerStatus NO_ERROR

    - #### EXCEPTION

          public static final NodeManager.NodeManagerStatus EXCEPTION

  - ### Method Detail

    - #### values

          public static NodeManager.NodeManagerStatus[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (NodeManager.NodeManagerStatus c : NodeManager.NodeManagerStatus.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static NodeManager.NodeManagerStatus valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getExitCode

          public int getExitCode()

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.